#!/bin/sh

echo 'name: mmap
version: 0.4.1
license: BSD3
copyright: 2008, Gracjan Polak
maintainer: Gracjan Polak <gracjanpolak@gmail.com>
stability: alpha
homepage:
package-url:
description: This library provides a wrapper to mmap(2) or MapViewOfFile,
             allowing files or devices to be lazily loaded into memory as
             strict or lazy ByteStrings, ForeignPtrs or plain Ptrs, using
             the virtual memory subsystem to do on-demand loading.
             Modifications are also supported.
category: System
author: Gracjan Polak <gracjanpolak@gmail.com>
exposed: True
exposed-modules: System.IO.MMap
hidden-modules:
import-dirs: /usr/local/lib/mmap-0.4.1/ghc-6.10.4
library-dirs: /usr/local/lib/mmap-0.4.1/ghc-6.10.4
hs-libraries: HSmmap-0.4.1
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.1.0.0 bytestring-0.9.1.4
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/mmap-0.4.1/html/mmap.haddock
haddock-html: /usr/local/share/doc/mmap-0.4.1/html' | /usr/local/bin/ghc-pkg update -
